@echo off
if exist cfg\pacman.cfg move cfg\pacman.cfg cfg\pacman.bak
if exist hi\pacman.hi move hi\pacman.hi hi\pacman.bak
if exist nvram\pacman.nv move nvram\pacman.nv nvram\pacman.bak
if exist diff\pacman.dif move diff\pacman.dif diff\pacman.bak

mame pacman -record pacman.inp %3 %4 %5 %6 %7 %8 %9 -nvram_directory NUL

if exist cfg\pacman.bak move cfg\pacman.bak cfg\pacman.cfg
if exist hi\pacman.bak move hi\pacman.bak hi\pacman.hi
if exist nvram\pacman.bak move nvram\pacman.bak nvram\pacman.nv
if exist diff\pacman.bak move diff\pacman.bak diff\pacman.dif
